<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/page_bj">

    <com.hjq.bar.TitleBar
        android:id="@+id/tb_main_bar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/title_bg"
        app:leftColor="@color/white"
        app:leftIcon="@mipmap/left_icon"
        app:leftSize="18sp"
        app:leftTitle="返回"
        app:rightColor="@color/white"
        app:rightSize="18sp"
        app:rightTitle="120s"
        app:title="自助取票"
        app:titleColor="@color/white"
        app:titleSize="20sp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="top"
        android:layout_marginTop="70sp"
        android:layout_marginLeft="10sp"
        android:layout_marginRight="10sp"
        android:layout_marginBottom="100sp"
        android:background="@drawable/bg_take"
        android:orientation="vertical"
        android:padding="10sp">
        <ScrollView
            android:id="@+id/sv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/tb_main_bar">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10sp"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/tx_noDataShow"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_below="@+id/tb_main_bar"
                    android:layout_marginTop="60sp"
                    android:gravity="center"
                    android:text="没有对应票据"
                    android:visibility="gone" />

                <com.scwang.smartrefresh.layout.SmartRefreshLayout
                    android:id="@+id/refreshLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_below="@+id/tb_main_bar">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/list_stock"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </com.scwang.smartrefresh.layout.SmartRefreshLayout>
            </LinearLayout>
        </ScrollView>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="80sp"
        android:layout_alignParentBottom="true"
        android:layout_marginTop="25sp"
        android:gravity="center|bottom"
        android:orientation="horizontal"
        android:background="@drawable/bg_take"
        android:padding="20sp"
        android:paddingBottom="10sp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">

            <CheckBox
                android:id="@+id/all_btn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="全选"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/print_btn"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="20sp"
                android:background="@drawable/bg_btn_01"
                android:gravity="center"
                android:padding="10sp"
                android:text="确定打印"
                android:textColor="@color/white"
                android:textFontWeight="800"
                android:textSize="16sp" />
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>